{% from 'lib.sls' import pod_deploy with context %}

Create piwigo root directory:
  file.directory:
    - name: /srv/piwigo
    - user: {{ pillar.pods.piwigo.containers.main.env.PUID }}
    - group: {{ pillar.pods.piwigo.containers.main.env.GUID }}
    - mode: "0750"

Create piwigo config directory:
  file.directory:
    - name: /srv/piwigo/config
    - user: {{ pillar.pods.piwigo.containers.main.env.PUID }}
    - group: {{ pillar.pods.piwigo.containers.main.env.GUID }}
    - mode: "0750"

Create piwigo gallery directory:
  file.directory:
    - name: /srv/piwigo/gallery
    - user: {{ pillar.pods.piwigo.containers.main.env.PUID }}
    - group: {{ pillar.pods.piwigo.containers.main.env.GUID }}
    - mode: "0750"

{{ pod_deploy('piwigo') }}

