{% from 'lib.sls' import pod_deploy with context %}

Create udev-rule for rfxcom usb dongel:
   file.managed:
     - name: /etc/udev/rules.d/99-rfxcom-serial.rules
     - source: salt://pod/files/99-rfxcom-serial.rules
     - user: root
     - group: root
     - mode: "0644"

Relead udev rules for rfxcom dongel:
  cmd.run:
    - name: udevadm control --reload-rules
    - onchanges:
      - file: Create udev-rule for rfxcom usb dongel

Create data folder for nodered:
  file.directory:
    - name: /srv/nodered
    - user: 1000
    - group: 1000
    - mode: "0750"

{{ pod_deploy('nodered') }}

